Subject: bug#54080: bug#19961: check-local is kind of like check-hook

From: Mike Frysinger <[email-masked]>
Date: Mon, 21 Feb 2022 03:59:27 +0000 (UTC)

On Mon, 02 Mar 2015 13:17:12 +0100, Shahbaz Youssefi wrote:
> I do have a related suggestion nevertheless. You see, no matter how
> many scenarios you think about, there is always some use-case that's
> going to be desired by someone but is unforeseen. Why not just create
> a general rule? My suggestion is to have for each target X, the
> following two targets:
>
> - X-pre is guaranteed to run before X
> - X-post is guaranteed to run after X
>
> This way, regardless of the target, anyone with whatever strange,
> foreseen or unforeseen scenario, can use these two to extend the
> operation of the target.

let's split this into a sep bug

other than semantics, afaict, X-pre is the same as X-local ?  and X-post is
the same as X-hook ?  ignoring the fact that not all targets atm support
X-hook (which is something we can/should fix).

in this case, i tend to agree that "X-pre" & "X-post" are better from a self-
documenting pov than "X-local" & "X-hook", but i'm not sure trying to rock the
boat is worth it when the existing conventions have been around for more than
20 years.  we could support both easily enough for backwards compatibility,
and shift the documentation to only mention pre/post.
-mike